-- batch_z80_to_szx.lua
-- Convert .z80 snapshots in a folder to .szx
-- Mark Incley 26.05.2022

srcfolder = [[C:\my_z80_folder]]
for inpath in dir(srcfolder) do
	if inks.get_file_type(inpath) == inks.file_type.z80 then
		lresult = inks.load(inpath)
		if lresult == inks.status.ok then
			outpath = inks.replace_extension(inpath, ".szx")
			inks.save(outpath)
		end
	end
end
